Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77556 - Unhandled Exception occured during upgrade
Summary: Unhandled Exception occured during upgrade
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i586
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 22:50 UTC by brohav
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-11 15:36:27 UTC


Attachments (Terms of Use)
Exception Occured - Ananconda Dump - Traceback (deleted)
2002-11-08 22:53 UTC, brohav
no flags Details

Description brohav 2002-11-08 22:50:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.1)
Gecko/20020823 Netscape/7.0

Description of problem:
This happened during upgrading from 7.2 to 8.0 and occured at the "Upgrade
Examine" right after I pressed Next.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Red Hat install from CD
2.After choosing the initial settings, choose to upgrade
3.At the 'Upgrade Examine' screen press Next and the error occurs.
	

Actual Results:  Error mesage:   Exception Occured...
An unhandled exception has occured.

see anacdump.txt attached
 

Expected Results:  It should have continued with the upgrade process.

Additional info:

see Traceback attachment

Comment 1 brohav 2002-11-08 22:53:29 UTC
Created attachment 84305 [details]
Exception Occured - Ananconda Dump - Traceback

Comment 2 Michael Fulbright 2002-11-11 15:36:19 UTC
Have you ever had LVM installed on this system before?

Comment 3 brohav 2002-11-12 23:14:37 UTC
You can close this.  It seems that the main partition, formatted as ext3, had
been corrupted somehow when I installed Partition Magic 7 on a different
(windows) partition and when it had asked to fix a problem I had not realised
the implications to the Linix partition.

After some checking I realised that the main Linix partition was marked as a
'ext3bbj' partition, so obviously the upgrade routine must have boomed on
finding this.

I changed it (back) to ext3 and the upgrade worked.

Sorry about the false alarm.


Note You need to log in before you can comment on or make changes to this bug.